Vulnerability CVE-2019-19079


Published: 2019-11-18   Modified: 2019-11-19

Description:
A memory leak in the qrtr_tun_write_iter() function in net/qrtr/tun.c in the Linux kernel before 5.3 allows attackers to cause a denial of service (memory consumption), aka CID-a21b7f0cff19.

Type:

CWE-400

(Uncontrolled Resource Consumption ('Resource Exhaustion'))

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:N/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.8/10
6.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Complete

 References:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.3
https://github.com/torvalds/linux/commit/a21b7f0cff1906a93a0130b74713b15a0b36481d

Copyright 2019, cxsecurity.com

 

Back to Top